アップデート前にバックアップをとりましょう
スカイリムの英語版1.9.26.0.8βアップデートが始まりました。
おそらく、近日中にベータなし1.9のアップデートが始まります。

本体の更新ごとにMODの対応がしてなかったり、新たな不具合が起きたりで国内外で阿鼻叫喚になるのは恒例なんですが、意外と対処法が知られてないので書きます。
困ったことにSteamの自動アップデートをオフでも勝手に更新するので、バックアップを取るのが一番確実な方法です。

1.9で更新されたファイルは以下のファイルです。
ほとんどのアップデート時にこれらのファイルが更新されます。


TESV.exe - 本体
Data/Update.esm - アップデートのマスタープラグイン
Data/Update.bsa - アップデートのファイル群。主にモーションファイルなど
Data/Skyrim - Misc.bsa - スクリプトファイルなど。
Data/Strings/Update_English.STRINGS - テキストデータ
Data/Strings/Update_English.ILSTRINGS - テキストデータ
Data/Strings/Update_English.DLSTRINGS - テキストデータ
Data/Interface/Translate_ENGLISH.txt - テキストデータ


アップデート前にこれらをどこかにコピーしておきます。
アップデートがあってもこれらのファイルを上書きすることで前のバージョンに戻せます。

・今回のアップデートで注意すべき点
今までの中でもバグフィックスがものすごく多くて、内部仕様も結構変わっているっぽいので、Mod多く入れてる方は様子見したほうがよさそうです。
以下アップデート時に更新待ったほうがいいMod。
ただしメジャーModはとにかく対応が早いです。
  • FNIS モーションファイルに変更にあり。
    コレにかぎらずモーション系は注意したほうがいいかも。
  • SkyUI UIに変更あり。Legendaryが選択できないバグあり。
  • On-off console with Rshift. control mapに修正あるので注意。
    自分でやるなら、
    BSAUnpackerなどでUpdate.bsaからInterface\Controls\PC\controlmap.txtを抜き出して開き、
    Ctrl+Fで検索窓を出し、consoleで調べる(52行目あたり)それで0x29,0x94とかになってる数値を0x2b(右シフト)に修正。0x91(@)
    箱コン向けキーマップModで変更した場合も注意。
  • Script Dragon おそらくは対応に一週間ぐらいかかるかと。
  • SKSEのプラグイン使うタイプのMod。
    バージョンが合わないと動かないので、対応を待ってください。
関連記事
コメントの投稿


Does not accept comments that are all written in English on this blog for blocking a spam. If you have any questions, send a e-mail: tktk11111[at]gmail.com

コメント

名無しさん2013.03.16 15:52

4shared to the writer of the ECE version 1.0a does not see a down


tktk2013.03.08 16:51

>名無しさん
装備関連はあんまりわかってないので答えられないことも多々ありますが、コメントで聞いて頂ければ、Mod作成のサポートはできます。お気づかいありがとうございます。

>furtiaさん
バージョン上がってますね~。
いつ何時更新されるかわからないので私はβ見送りしてますw


furtia2013.03.08 08:36

βテストに参加していましたが、今朝またバージョンアップがありまして、
それに引っかかりましたw トイレ行ってる隙にとかおのれsteamぅぅぅ!


名無しさん2013.03.08 08:03

簡単着せ替えMODの件の名無しです。
残念ではありますが、ご考慮有難うございました。
個人的にDragonbornでのみ不具合が出るMODを複数確認はしているんですが、やはりDragonbornがまだ不安定なのとMOD側の未対応、さらに今までのスクリプトが動かない等々あるのですかね、ちょっと勉強してみます。
tktkさんもお忙しいとは思いますが、これからもリリースされてるMODの更新等期待しております。
有難うございました。
職場で風邪(インフルでは無いのですが)が流行っております、tktkさんも風邪などにご注意下さい。


tktk2013.03.08 00:52

>名無しさん
提案は嬉しいですが、着せ替えにそこまで興味がないのと時間がとれないので見送りで。
更新しなきゃいけないmodが3-4、新作3つ、応対等ありのうえ、余暇時間が減ってて手一杯です。
自分でやってみると言うのも手だと思います。


名無しさん2013.03.07 22:07

いつも素晴らしいMODありがとうございます。
今回のアップデートでDragonbornが少しでも安定してくれればなと個人的には思っています。今は恥ずかしながらCTD祭り状態でして。(笑)

ここに書くのもあれかと思いながら失礼を承知で....すみません。
tktkさん、今度お時間ある時にHotkey your Gearみたいな
簡単着せ替えMOD作って頂けませんか?
More HotKeys Pleaseも使ってるんですがHotkey your Gearみたいに綺麗に着せ替えれないんですよね。
悲しいことにHotkey your GearもDragonbornではエラー出して使えないみたいで困りました。指輪クリックで着せ替えみたいな簡単なホットキーMODは需要あると思うんです。
ご考慮頂けたら嬉しいです。
長文すみません。


tktk2012.11.04 15:29

>Ghostさん
ぎりぎりアウトの方でしたか…w


Ghost2012.11.03 23:24

PC起動と同時にsteamにサインインする設定になってたようで既に1.8になっていました('A`)
次からは事前にバックアップを取っておきます(というかMODの出し入れ激しいので全部)。


tktk2012.11.03 19:16

>KENさん
オフラインかバックアップかでしか回避できないので、自動アップデートは本当に面倒ですよね。


KEN2012.11.03 01:21

情報ありがとうございます。
いつも起動前に覗いていてよかったw
まぁ1.7だったか1.6の時に懲りてsteamはオフライン起動してるので大丈夫は大丈夫ですが。
Steamのアップデート周りの仕様はなんとかならんもんですかねぇ・・・


tktk2012.11.02 23:22

>santiさん
そうですねー、Steamで遊ばないならオフラインモードにしちゃうのも手ですね。
拡張プラグインが対応するまで私も待ちです。

>Ghostさん
間一髪で回避できたようでよかったですw

>名無しさん
こちらでも記事にしていただいたんですが、アップデートしてしまった場合は多段ヒットなどは主にFNIS関係のモーションファイルを削除することで直るようです。
http://dragonporn.ldblog.jp/archives/6717566.html


名無しさん2012.11.02 22:11

だから挙動がおかしかったのか…orz
言語が英語になったり攻撃が多段ヒットしたりなんでー!?とMODを再インスコしましたがverUPか…
もうバージョンアップしたんで笑うしか無いわぁ…


Ghost2012.11.02 17:58

危うくバックアップ取らずに起動してしまうとこでした。というか今日updateだったのかw
ありがとうございます。


santi2012.11.02 17:33

以前に、一度質問した者です。
その節はありがとうございました。

有意義な情報ありがとうございます。
1.7にアップデートした時はいきなり起動しなくなって、焦った記憶が・・。
ホント、勝手にアップデートしてしまうのは困りものですネ。その後はずっとオフラインでプレイしてますが。
私はとりあえず、Script DragonとSKSEの更新待ちですね。

ではでは。